My Project: dgBaseNode Class Reference

My Project

Public Member Functions | Protected Member Functions | List of all members
dgBaseNode Class Reference

`#include <dgNode.h>`

Inheritance diagram for dgBaseNode:

## Public Member Functions

dgBaseNode * | GetChild () const
dgBaseNode * | GetParent () const
dgBaseNode * | GetSibling () const
void | Detach ()
void | Attach (dgBaseNode *const parent, bool addFirst=false)
dgBaseNode * | GetRoot () const
dgBaseNode * | GetFirst () const
dgBaseNode * | GetLast () const
dgBaseNode * | GetNext () const
dgBaseNode * | GetPrev () const
dgBaseNode * | Find (dgUnsigned32 nameCRC) const
dgBaseNode * | Find (const char *const name) const
void | DebugPrint (const char *const fileName)
bool | SanityCheck ()
Public Member Functions inherited from dgRef
| dgRef ()
| dgRef (const char *name)
| dgRef (dgUnsigned32 idArg)
| dgRef (const dgRef &Clone)
dgRef * | AddRef ()
dgInt32 | Release ()
dgInt32 | GetRefCount () const
virtual dgRef * | CreateClone () const
virtual dgUnsigned32 | GetTypeId () const
virtual bool | IsType (dgUnsigned32 typeId) const
bool | GetUserFlag0 () const
bool | GetUserFlag1 () const
void | SetUserFlag0 (bool flags)
void | SetUserFlag1 (bool flags)
bool | IsAlive () const
virtual void | Kill ()
virtual void | Unkill ()
const char * | GetName () const
dgUnsigned32 | GetNameID () const
void | SetNameID (dgUnsigned32 newID)
virtual void | SetName (const char *name)
void | AttachRef (dgRef **oldRef, dgRef *newRef)
bool | IsTypeByName (const char *typeName) const
Public Member Functions inherited from dgRefFlags
| dgRefFlags ()
dgInt32 | operator= (dgInt32 val)

## Protected Member Functions

| dgBaseNode ()
| dgBaseNode (const char *const name)
| dgBaseNode (const dgBaseNode &clone)
| ~dgBaseNode ()
virtual void | CloneFixUp (const dgBaseNode &clone)
virtual void | PrintHierarchy (dgFile &file, char *indentation) const
Protected Member Functions inherited from dgRef
virtual | ~dgRef ()

## Additional Inherited Members

Static Public Member Functions inherited from dgRef
static dgUnsigned32 | GetRttiType ()
Public Attributes inherited from dgRefFlags
dgUnsigned8 | m_alive
dgUnsigned8 | m_userFlag0
dgUnsigned8 | m_userFlag1
dgUnsigned8 | m_userFlag2
dgUnsigned32 | m_ref

## Constructor & Destructor Documentation

## § dgBaseNode() [1/3]

dgBaseNode::dgBaseNode | ( |  | ) |

inlineprotected

## § dgBaseNode() [2/3]

dgBaseNode::dgBaseNode | ( | const char *const | name | ) |

inlineprotected

## § dgBaseNode() [3/3]

dgBaseNode::dgBaseNode | ( | const dgBaseNode & | clone | ) |

protected

## § ~dgBaseNode()

dgBaseNode::~dgBaseNode | ( |  | ) |

protected

## Member Function Documentation

## § Attach()

void dgBaseNode::Attach | ( | dgBaseNode *const | parent,
|  | bool | addFirst = `false`
| ) |  |

## § CloneFixUp()

void dgBaseNode::CloneFixUp | ( | const dgBaseNode & | clone | ) |

protectedvirtual

## § DebugPrint()

void dgBaseNode::DebugPrint | ( | const char *const | fileName | ) |

## § Detach()

void dgBaseNode::Detach | ( |  | ) |

## § Find() [1/2]

dgBaseNode * dgBaseNode::Find | ( | dgUnsigned32 | nameCRC | ) | const

## § Find() [2/2]

dgBaseNode * dgBaseNode::Find | ( | const char *const | name | ) | const

inline

## § GetChild()

dgBaseNode * dgBaseNode::GetChild | ( |  | ) | const

inline

## § GetFirst()

dgBaseNode * dgBaseNode::GetFirst | ( |  | ) | const

## § GetLast()

dgBaseNode * dgBaseNode::GetLast | ( |  | ) | const

## § GetNext()

dgBaseNode * dgBaseNode::GetNext | ( |  | ) | const

## § GetParent()

dgBaseNode * dgBaseNode::GetParent | ( |  | ) | const

inline

## § GetPrev()

dgBaseNode * dgBaseNode::GetPrev | ( |  | ) | const

## § GetRoot()

dgBaseNode * dgBaseNode::GetRoot | ( |  | ) | const

## § GetSibling()

dgBaseNode * dgBaseNode::GetSibling | ( |  | ) | const

inline

## § PrintHierarchy()

void dgBaseNode::PrintHierarchy | ( | dgFile & | file,
|  | char * | indentation
| ) |  | const

protectedvirtual

## § SanityCheck()

bool dgBaseNode::SanityCheck | ( |  | ) |

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgNode.h
- dynamics.mod/NewtonDynamics/source/core/dgNode.cpp